
Foreman - Bug #29248

Random lockups of unit tests due DNS queries

03/03/2020 09:44 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7486

  

Description

Some of the DNS queries are not stubbed causing our test suite to randomly lockup.

Associated revisions

Revision 64d67619 - 03/05/2020 02:17 PM - Lukas Zapletal

Fixes #29248 - add DNS stubs for all tests

History

#1 - 03/03/2020 03:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7486 added

#2 - 03/05/2020 02:17 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 03/05/2020 03:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset 64d676199a00be91edf8f1fdddc85c0ba18b1482.
